; ----------------------------------------------------------------------
; stdio.S
;   RS232C ϥ롼
; $Id: stdio.S,v 1.10 2001/02/17 08:23:24 skamio Exp $
; ----------------------------------------------------------------------
#ifndef _STDIO_S_
#define _STDIO_S_

; ----------------------------------------------------------------------
;;; Ǥ C libraryƱΥ롼Ƥ
;;;   getchar
;;;   getchar_nowait
;;;   putchar
;;;   fgets
;;;   puts
;;;   fputs
;;; ϤλͤϤΥɤɤߤȤäƲ
; ----------------------------------------------------------------------
	
; ----------------------------------------------------------------------
; ̾   getchar
; ǽ   ʸ 
;    ʤ
;  A쥸(ʸ)
; ˲   A
; ----------------------------------------------------------------------
getchar:
_GETCHAR_WAIT:
	in a, (19h)
	bit 0, a		; ʸϤ줿?
	jp z, _GETCHAR_WAIT
	in a, (18h)
	ret

; ----------------------------------------------------------------------
; ̾   getchar_nowait
; ǽ   ʸ Ԥʤ
;    ʤ
;  A쥸(ʸ) ʸʤˤ A = 0
; ˲   A
; ----------------------------------------------------------------------
getchar_nowait:
	in a, (19h)
	AND 1
	RET Z			; ʸϤƤʤХ꥿
	in a, (18h)
	RET

; ----------------------------------------------------------------------
; ̾   putchar
; ǽ   ʸ
;    A쥸(ʸ)
;  ʤ
; ˲   ʤ
; ----------------------------------------------------------------------
putchar:
	push AF
_PUTCHAR_WAIT:
	in a, (19h)
	bit 2,a			; ʸϤνǤ?
	jp z, _PUTCHAR_WAIT
	pop AF
	out (18h),a
	ret

; ----------------------------------------------------------------------
; ̾   fgets
; ǽ   ʸ ʸ Хå
;	   ԤǽλԤNULLˤʤ롣ʳNULLüʤ
;    BC쥸(ʸ) HL(ХåեΥɥ쥹)
;  ʤ
; ˲   AF, BC, HL
; ----------------------------------------------------------------------
fgets:				
#ifndef _KERNEL_
	call getchar		; ϤޤԤ
#else				; Ϥޤ̥ץưԤ
  	call getchar_nowait
  	JR NZ, _FGETS_GET
  	call SYSCALL_CONTEXT_SWITCH
  	JR fgets
_FGETS_GET:
#endif	/* _KERNEL_ */
	LD (HL), A
	; Ԥǽ
	CP 0Ah
	JR Z, _FGETS_NULL
	CP 0Dh
	JR Z, _FGETS_NULL
	call putchar
	DEC BC
	LD A, C
	OR B
	RET Z
	INC HL
	JR fgets
	
_FGETS_NULL:			; NULLü
	XOR A
	LD (HL), A
	RET
	
#notyet Խǽɬפ
	
; ----------------------------------------------------------------------
; ̾   puts
; ǽ   ʸ
;    HL(ʸΥɥ쥹)
;  ʤ
; ˲   A, HL
;    ʸ NULLüƤ뤳
; ----------------------------------------------------------------------
puts:
	push AF
	push HL
_PUTS_LOOP:	
	LD A, (HL)
	AND A
	JP Z, _PUTS_RET
	call putchar
	INC HL
	JP _PUTS_LOOP
_PUTS_RET:	
	pop HL
	pop AF
	RET
; ----------------------------------------------------------------------
; ̾   fputs
; ǽ   ʸ ʸ
;    B(ʸ) HL(ʸΥɥ쥹)
;  ʤ
; ˲   A, B, HL
;    NULLüƤ齪λ
; ----------------------------------------------------------------------
fputs:
	push AF
	push BC
	push HL
_FPUTS_LOOP:
	LD A, (HL)
	AND A
	JP Z, _FPUTS_RET
	call putchar
	INC HL
	DJNZ _FPUTS_LOOP
_FPUTS_RET:
	pop HL
	pop BC
	pop AF
	RET

#endif // _STDIO_S_
