; ----------------------------------------------------------------------
; util 饤֥
;	ɤȤؿ
; $Id: util.S,v 1.9 2001/02/17 08:23:24 skamio Exp $
; ----------------------------------------------------------------------
#ifndef _UTIL_S_
#define _UTIL_S_

;;; ----------------------------------------------------------------------
;;; ؿ
;;;   util_hex
;;;   util_i
;;;   util_itoa
;;;   util_htoi
;;;   srand
;;;   rand
;;;   wait_sec ( ʸ _EMU_ 뤳ȤǥåפǤ )
;;; ----------------------------------------------------------------------
	
;; ----------------------------------------------------------------------
;; ̾  util_hex
;; ǽ  A쥸Ȥ16ʸѴ
;;   A쥸
;;  BC쥸 B
;; ˲  A BC
;; ----------------------------------------------------------------------
util_hex:
	LD B, A
	;; 
	AND Fh
	CP Ah
	JR C, _UTIL_HEX_LOW_NUM
	ADD A, 11h-Ah
_UTIL_HEX_LOW_NUM:	
	ADD A, 30h
	LD C, A
	;; 
	LD A, B
	AND F0h
	RRCA
	RRCA
	RRCA
	RRCA
	CP Ah
	JR C, _UTIL_HEX_HIGH_NUM
	ADD A, 11h-Ah
_UTIL_HEX_HIGH_NUM:	
	ADD A, 30h
	LD B, A
	RET

;; ----------------------------------------------------------------------
;; ̾  util_i
;; ǽ  A 쥸ο(0~99)2οľ
;;   A
;;   BC
;; ˲  A BC
;; ----------------------------------------------------------------------
util_i:
	LD B, 0
UTIL_I_10:
	INC B
	SUB 10
	JR NC, UTIL_I_10
	DEC B
	ADD A, 10+30h		; ̤ο
	LD C, A
	LD A, B
	ADD A, 30h		; ̤ο
	LD B, A
	RET
		
;; ----------------------------------------------------------------------
;; ̾  util_itoa
;; ǽ  HL쥸Ȥ10ʿľ
;;   DE ̤ʸΥݥ HL 
;;  ʤ
;; ˲  AF BC DE HL
;;   DE λؤХåե6ХȰʾ夢뤳 ǸNULL񤭹!
;; ----------------------------------------------------------------------
util_itoa:
	LD BC, 10000
	call _UTIL_ITOA_WARI
	LD BC, 1000
	call _UTIL_ITOA_WARI
	LD BC, 100
	call _UTIL_ITOA_WARI
	LD BC, 10
	call _UTIL_ITOA_WARI
	LD A, L
	ADD A, 30h
	LD (DE), A
	INC DE
	XOR A
	LD (DE), A
	RET
	
_UTIL_ITOA_WARI:		; ꡼Фޤǰ³
	XOR A
_UTIL_ITOA_WARI_LOOP:
	AND A
	SBC HL, BC
	JR C, _UTIL_ITOA_WARI_LOOP_END
	INC A
	JP _UTIL_ITOA_WARI_LOOP
_UTIL_ITOA_WARI_LOOP_END:	
	ADD HL, BC
	ADD A, 30h		; 
	LD (DE), A		; 񤭹
	INC DE
	RET
	
;; ----------------------------------------------------------------------
;; ̾  util_htoi
;; ǽ  BC쥸16ʸɽͤA쥸
;;       16ʸǤʤư
;;   BC쥸(B)
;;  A
;; ˲  BC
;; ----------------------------------------------------------------------
util_htoi:
	LD A, C
	CP 41h
	JR C, _UTIL_HTOI_LOW_NUM
	SUB 41h
	ADD Ah
	LD C, A
	JR _UTIL_HTOI_HIGH
_UTIL_HTOI_LOW_NUM:	
	SUB 30h
	LD C, A
_UTIL_HTOI_HIGH:
	LD A, B
	CP 41h
	JR C, _UTIL_HTOI_HIGH_NUM
	SUB 41h
	ADD Ah
	JR _UTIL_HTOI_END
_UTIL_HTOI_HIGH_NUM:	
	SUB 30h
_UTIL_HTOI_END:
	RLCA
	RLCA
	RLCA
	RLCA
	ADD A, C
	RET

;; ----------------------------------------------------------------------
;; ̾  srand
;; ǽ  μ򥻥åȤ
;;   A
;; ----------------------------------------------------------------------
srand:
	LD (_UTIL_RAND_SEED), A
	RET
		
;; ----------------------------------------------------------------------
;; ̾  rand
;; ǽ  1Хȯ
;;   ʤ
;;  L = 
;; ˲  ˲ AF, B, DE, HL
;; ----------------------------------------------------------------------
rand:
	;; val = (seed * b + 1) % m
	;; m = 256
	;; b = 91
	LD C, 91
	LD B, 8			; b  ӥåȿ
	LD HL, 0
	LD D, 0
	LD A, (_UTIL_RAND_SEED)
	LD E, A
	;; 2ʿǤ
_RAND_MULT:	
	RR C
	JR NC, _RAND_MULT_SHIFT
	ADD HL, DE
_RAND_MULT_SHIFT:	
	SLA E
	RL D			; DE << 1
	DJNZ _RAND_MULT
	INC HL
	
	LD A, L
	LD (_UTIL_RAND_SEED), A
	RET
	
_UTIL_RAND_SEED:	
	DB 0h
		
;;; ----------------------------------------------------------------------
;;; wait_sec
;;;   ꤵ줿ÿԤġΤÿ˾ޤʤ
;;;   9.83MHz
;;; 
;;;  B ÿ
;;; ˲ A BC HL
;;; ----------------------------------------------------------------------
wait_sec:
#ifndef _EMU_
	;; 롼
	LD HL, 57151		; 10 state
WAIT_SEC_IDLE_OUTER_LOOP:
	
	;; 롼
	LD A, 7			; 7 state
WAIT_SEC_IDLE_INNER_LOOP:
	NOP
	DEC A
	JR NZ, WAIT_SEC_IDLE_INNER_LOOP; 12
	;;  7

	;; 롼  7 + 20 * 6 + 8+7 = 142 
	NOP			; 4 state
	DEC HL			; 6 state
	LD A, L			; 4 state
	OR H			; 4 state
	JR NZ, WAIT_SEC_IDLE_OUTER_LOOP; 12 state
	;; 7 state

	;; 롼   10 + 172 * 57151 - 5 = 9829977

	DJNZ wait_sec		; 13 state
	;; 8 state
	
	NOP
	
#endif /* _EMU_ */
	RET			; 10 state
	
	;;  (9829977 + 13) * B - 5 + 4 + 10
	
#endif	/* _UTIL_S_ */



